// замена _.keyBy - только по ключу
export default function toMap(list, primaryKey) {
    if (!Array.isArray(list)) {
        return;
    }

    return list.reduce((map, item) => {
        map[item[primaryKey]] = item;

        return map;
    }, {});
}
